using (var client = new HttpClient()){ client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY"); var phoneNumbers = "5039367187,7075276405"; var url = $"https://dataapi.dncscrub.com/v1.5/Scrub/litigator?phoneList={phoneNumbers}"; var response = await client.GetStringAsync(url); Console.WriteLine(response);}
true if the phone number is associated with a known TCPA litigator, false
otherwise
Error Responses
Status
Description
400 Bad Request
Invalid phone number format or missing required parameters
401 Unauthorized
Invalid or missing API key
404 Not Found
Endpoint not found or invalid URL
Processing the Response
const results = await response.json();// Filter litigator numbersconst litigators = results.filter((r) => r.IsLitigator);const safe = results.filter((r) => !r.IsLitigator);console.log(`Litigators found: ${litigators.length}`);console.log(`Safe numbers: ${safe.length}`);// Flag litigator numberslitigators.forEach((r) => { console.log(`WARNING: ${r.Phone} is a known litigator`);});
Security Best Practice
For additional security, pass the loginId in the HTTP header rather than as a query parameter. This prevents your API key from appearing in server logs and browser history.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/schema.json","name":"Contact Center Compliance, a Sonera company","colors":{"primary":"#0891B2","light":"#06B6D4","dark":"#0E7490"},"logo":{"light":"https://mintcdn.com/contactcentercompliance/6ilUD822nwmRYi_k/logo/CCC-logo-with-text-light.svg?fit=max\u0026auto=format\u0026n=6ilUD822nwmRYi_k\u0026q=85\u0026s=3456f2cee7a1ed96c2ea5c7d351b17cb","dark":"https://mintcdn.com/contactcentercompliance/6ilUD822nwmRYi_k/logo/CCC-logo-with-text-dark.svg?fit=max\u0026auto=format\u0026n=6ilUD822nwmRYi_k\u0026q=85\u0026s=8bf82650b0ae2089572534a57dae9955"},"favicon":"https://mintcdn.com/contactcentercompliance/yYr_bfAzMyFQXGHf/favicon.png?fit=max\u0026auto=format\u0026n=yYr_bfAzMyFQXGHf\u0026q=85\u0026s=fbd19f8dc2a32f106bfadb158ca0f820","api":{"playground":{}},"appearance":{"default":"light"},"background":{"decoration":"grid"},"navbar":{"links":[{"icon":"building","href":"https://sonera.co","label":"A Sonera company"},{"icon":"signal-bars","href":"https://status.dncscrub.com","label":"Status"},{"icon":"envelope","href":"mailto:support@dnc.com","label":"Support"}],"primary":{"type":"button","label":"DNCScrub Portal","href":"https://www.dncscrub.com"}},"footer":{"links":[{"items":[{"label":"DNCScrub Portal","href":"https://www.dncscrub.com"},{"label":"DNC.com Home","href":"https://www.dnc.com"},{"label":"Sonera","href":"https://sonera.co"}]},{"items":[{"label":"System Status","href":"https://status.dncscrub.com"},{"label":"Contact Support","href":"mailto:support@dnc.com"}]}]},"search":{"prompt":"Search documentation..."},"seo":{"metatags":{"og:site_name":"Contact Center Compliance, a Sonera company","og:description":"DNCScrub API and integration documentation from Contact Center Compliance, a Sonera company: TCPA compliance, DNC scrubbing, litigator detection, reassigned numbers, call deliverability.","twitter:card":"summary_large_image"}},"contextual":{"options":["copy","chatgpt","claude","cursor","vscode","mcp"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"contactcentercompliance","hasAudioNarration":false,"actualSubdomain":"contactcentercompliance","customDomains":["docs.dncscrub.com"],"gitSource":{"type":"github","owner":"contactcentercompliance","repo":"dnc-platform","deployBranch":"main","contentDirectory":"mintlify-documentation","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af0ce5a6412adac012942d9","clientVersion":"0.0.4271","searchFilterCounts":[{"language":"default","tag":"API","count":67},{"language":"default","tag":"MCP Server for AI Applications","count":38},{"language":"default","tag":"Call Deliverability (TrustCall)","count":13},{"language":"default","tag":"Other APIs","count":12},{"language":"default","tag":"Reassigned Scrub","count":12},{"language":"default","tag":"Full Scrub","count":10},{"language":"default","tag":"Integrations","count":10},{"language":"default","tag":"Data Enhancement","count":7},{"language":"default","tag":"Getting Started","count":4},{"language":"default","tag":"GeoScrub","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":".navbar-logo img,img[alt*=\"logo\"],img[src*=\"/logo/\"]{height:50px!important;max-height:50px!important;width:auto!important}#navbar>.max-w-8xl,#navbar+div{max-width:100%!important;margin-left:0!important;margin-right:0!important}.prose :where(img):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0px!important;margin-bottom:0px!important}"}]}
{"page":{"pagePath":"api-reference/litigator/scrub-get","slug":"/api-reference/litigator/scrub-get","pageMetadata":{"title":"Litigator Scrub Single Number","sidebarTitle":"Litigator Scrub Single Number","description":"Check phone numbers against the litigator database using GET request","api":"GET https://dataapi.dncscrub.com/v1.5/Scrub/litigator","href":"/api-reference/litigator/scrub-get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Check phone numbers against the litigator database using GET request\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Note,ParamField,ResponseField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Check a list of phone numbers against the litigator database using an HTTP GET request. Use this method for small batches (up to 100 phone numbers).`}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`For batches larger than 100 phone numbers, use the `,_jsx(_components.a,{href:`/api-reference/litigator/scrub-post`,children:`POST\nmethod`}),` instead.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(Heading,{level:`3`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`loginId`,type:`string`,required:true,id:`param-login-id`,children:_jsx(_components.p,{children:`Your API Key (LoginId from your DNCScrub account)`})}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsx(ParamField,{query:`phoneList`,type:`string`,required:true,id:`param-phone-list`,children:_jsx(_components.p,{children:`Comma-separated list of 10-digit phone numbers to check (maximum 100 numbers\nfor GET requests, up to 10,000 for POST)`})}),`\n`,_jsx(ParamField,{query:`campaignId`,type:`integer`,id:`param-campaign-id`,children:_jsx(_components.p,{children:`Optional campaign ID for tracking purposes`})}),`\n`,_jsx(ParamField,{query:`projId`,type:`string`,id:`param-proj-id`,children:_jsx(_components.p,{children:`Optional project ID for tracking purposes`})}),`\n`,_jsx(ParamField,{query:`outputFormat`,type:`string`,default:`JsonArray`,id:`param-output-format`,children:_jsxs(_components.p,{children:[`Output format: `,_jsx(_components.code,{children:`JsonArray`}),` (default) or `,_jsx(_components.code,{children:`JsonObject`}),` for Zapier compatibility`]})}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example Request`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://dataapi.dncscrub.com/v1.5/Scrub/litigator?phoneList=5039367187,7075276405'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'loginId: YOUR_API_KEY'`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`cURL (loginId in query)`,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://dataapi.dncscrub.com/v1.5/Scrub/litigator?phoneList=5039367187,7075276405\u0026loginId=YOUR_API_KEY'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`9`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://dataapi.dncscrub.com/v1.5/Scrub/litigator?phoneList=5039367187,7075276405\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"GET\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`loginId:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`C#`,numberOfLines:`10`,language:`csharp`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`csharp`,children:_jsxs(_components.code,{language:`csharp`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`using`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` client`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#4EC9B0`},children:` HttpClient`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`())`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` client`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`DefaultRequestHeaders`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`Add`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"loginId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` phoneNumbers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"5039367187,7075276405\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` url`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` $\"https://dataapi.dncscrub.com/v1.5/Scrub/litigator?phoneList=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`phoneNumbers`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` client`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`GetStringAsync`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`url`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` Console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`WriteLine`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,`\n`,_jsx(Heading,{level:`2`,id:`response-fields`,children:`Response Fields`}),`\n`,_jsx(ResponseField,{name:`Phone`,type:`integer`,id:`param-phone`,children:_jsx(_components.p,{children:`The 10-digit phone number that was checked`})}),`\n`,_jsx(ResponseField,{name:`IsLitigator`,type:`boolean`,id:`param-is-litigator`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` if the phone number is associated with a known TCPA litigator, `,_jsx(_components.code,{children:`false`}),`\notherwise`]})}),`\n`,_jsx(Heading,{level:`2`,id:`error-responses`,children:`Error Responses`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`400 Bad Request`}),_jsx(_components.td,{children:`Invalid phone number format or missing required parameters`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`401 Unauthorized`}),_jsx(_components.td,{children:`Invalid or missing API key`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`404 Not Found`}),_jsx(_components.td,{children:`Endpoint not found or invalid URL`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`processing-the-response`,children:`Processing the Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`13`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` results`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Filter litigator numbers`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` litigators`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` results`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`filter`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`((`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`IsLitigator`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` safe`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` results`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`filter`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`((`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` !`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`IsLitigator`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`Litigators found: \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`litigators`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:`length`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`Safe numbers: \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`safe`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:`length`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Flag litigator numbers`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`litigators`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`forEach`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`((`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`WARNING: \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Phone`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" is a known litigator`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`security-best-practice`,children:`Security Best Practice`}),`\n`,_jsxs(_components.p,{children:[`For additional security, pass the `,_jsx(_components.code,{children:`loginId`}),` in the HTTP header rather than as a query parameter. This prevents your API key from appearing in server logs and browser history.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Litigator Scrub Single Number","sidebarTitle":"Litigator Scrub Single Number","description":"Check phone numbers against the litigator database using GET request","api":"GET https://dataapi.dncscrub.com/v1.5/Scrub/litigator","href":"/api-reference/litigator/scrub-get"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[377,381,"Example,ResponseFiel"],[667,682,"Example)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingM"],[14734,16202,"_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`10`,language:`json"],[16411,17353,"son`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`10`,children:[_jsx(_components."],[17423,17963,""],[18007,18832,"[`})}),`\n`,_jsx(_com"],[18872,19143,""],[19206,20275,"D4D4D4`},children:` {`})}),`\n`,_jsxs(_c"],[20357,20413,"16329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Phone\"`}),_j"],[20493,21064,": `}),_jsx(_componen"],[21113,21323,"B5CEA8`},children:`5039367187`}),_jsx(_c"],[21398,21419,",`})]}),`\n`,_jsxs(_c"],[21501,21551,"16329`,\"--shiki-dark\":`#9CDCFE`},children:` \"IsLitigator\""],[21637,22198,": `}),_jsx(_componen"],[22247,22597,"569CD6`},children:`true`})]}),`\n`,_jsx(_"],[22678,22942,""],[22986,23537," },`})}),`\n`,_jsx(_"],[23580,23581,""],[23644,24685,"D4D4D4`},children:` {`})}),`\n`,_jsxs(_c"],[24727,24729,"[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Phone\"`}),_j"],[24809,25601,": `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`7075276405`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"IsLitigator\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`response-fields`,children:`Response Fields`}),`\n`,_jsx(ResponseField,{name:`Phone`,type:`integer`,id:`param-phone`,children:_jsx(_components.p,{children:`The 10-digit phone number that was checked`})}),`\n`,_jsx(ResponseField,{name:`IsLitigator`,type:`boolean`,id:`param-is-litigator`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` if the phone number is associated with a known TCPA litigator, `,_jsx(_components.code,{children:`false`}),`\notherwise`]})}),`\n`,_jsx(Heading,{level:`2`,id:`error-responses`,children:`Error Responses`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`400 Bad Request`}),_jsx(_components.td,{children:`Invalid phone number format or missing required parameters`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`401 Unauthorized`}),_jsx(_components.td,{children:`Invalid or missing API key`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`404 Not Found`}),_jsx(_components.td,{children:`Endpoint not found or invalid URL`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`processing-the-response`,children:`Processing the Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`13`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` results`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Filter litigator numbers`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` litigators`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` results`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`filter`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`((`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`IsLitigator`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` safe`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` results`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`filter`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`((`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` !`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`IsLitigator`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`Litigators found: \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`litigators`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:`length`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`Safe numbers: \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`safe`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:`length`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Flag litigator numbers`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`litigators`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`forEach`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`((`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`WARNING: \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`r`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Phone`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" is a known litigator`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`security-best-practice`,children:`Security Best Practice`}),`\n`,_jsxs(_components.p,{children:[`For additional security, pass the `,_jsx(_components.code,{children:`loginId`}),` in the HTTP header rather than as a query parameter. This prevents your API key from appearing in server logs and browser history.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Request","slug":"request","depth":2,"children":[{"title":"Headers","slug":"headers","depth":3,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]}]},{"title":"Example Request","slug":"example-request","depth":2,"children":[]},{"title":"Response Fields","slug":"response-fields","depth":2,"children":[]},{"title":"Error Responses","slug":"error-responses","depth":2,"children":[]},{"title":"Processing the Response","slug":"processing-the-response","depth":2,"children":[]},{"title":"Security Best Practice","slug":"security-best-practice","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">[\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"Phone\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">5039367187\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"IsLitigator\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"Phone\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">7075276405\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"IsLitigator\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">]\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Litigator Scrub Single Number","path":"/v1.5/Scrub/litigator","servers":[{"url":"https://dataapi.dncscrub.com"}],"method":"get","request":{"security":[],"parameters":{"query":{"phoneList":{"schema":[{"type":"string","description":"Comma-separated list of 10-digit phone numbers to check (maximum 100 numbers for GET requests, up to 10,000 for POST)","required":true}]},"campaignId":{"schema":[{"type":"integer","description":"Optional campaign ID for tracking purposes"}]},"projId":{"schema":[{"type":"string","description":"Optional project ID for tracking purposes"}]},"outputFormat":{"schema":[{"type":"string","description":"Output format: `JsonArray` (default) or `JsonObject` for Zapier compatibility"}]}},"header":{"loginId":{"schema":[{"type":"string","description":"Your API Key (LoginId from your DNCScrub account)","required":true}]}},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"Phone":[{"type":"integer","description":"The 10-digit phone number that was checked"}],"IsLitigator":[{"type":"boolean","description":"`true` if the phone number is associated with a known TCPA litigator, `false` otherwise"}]}}],"examples":{"example":{"value":{"Phone":123,"IsLitigator":true}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"contactcentercompliance","siteName":"Contact Center Compliance, a Sonera company","title":"Litigator Scrub Single Number - Contact Center Compliance, a Sonera company","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-23T19:09:15.736Z","originalFileLocation":"api-reference/litigator/scrub-get.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Check phone numbers against the litigator database using GET request\">\u003cmeta data-mint-head name=\"application-name\" content=\"Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Litigator Scrub Single Number - Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head property=\"og:description\" content=\"DNCScrub API and integration documentation from Contact Center Compliance, a Sonera company: TCPA compliance, DNC scrubbing, litigator detection, reassigned numbers, call deliverability.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.dncscrub.com/api-reference/litigator/scrub-get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://contactcentercompliance.mintlify.site/_mintlify/api/og/v2?division=Litigator-Only+Scrub\u0026amp;title=Litigator+Scrub+Single+Number\u0026amp;description=Check+phone+numbers+against+the+litigator+database+using+GET+request\u0026amp;theme=c99c9abf65e07033a2fea846\u0026amp;signature=f2f188840e80de4b6dae6ed53326b579e05eeef6064247cc132e0e9dd7d10995\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Litigator Scrub Single Number - Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"DNCScrub API and integration documentation from Contact Center Compliance, a Sonera company: TCPA compliance, DNC scrubbing, litigator detection, reassigned numbers, call deliverability.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://contactcentercompliance.mintlify.site/_mintlify/api/og/v2?division=Litigator-Only+Scrub\u0026amp;title=Litigator+Scrub+Single+Number\u0026amp;description=Check+phone+numbers+against+the+litigator+database+using+GET+request\u0026amp;theme=c99c9abf65e07033a2fea846\u0026amp;signature=f2f188840e80de4b6dae6ed53326b579e05eeef6064247cc132e0e9dd7d10995\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0891B2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.dncscrub.com/api-reference/litigator/scrub-get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/litigator/scrub-get.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.dncscrub.com/#organization\",\"name\":\"Contact Center Compliance, a Sonera company\",\"url\":\"https://docs.dncscrub.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/contactcentercompliance/6ilUD822nwmRYi_k/logo/CCC-logo-with-text-light.svg?fit=max\u0026auto=format\u0026n=6ilUD822nwmRYi_k\u0026q=85\u0026s=3456f2cee7a1ed96c2ea5c7d351b17cb\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.dncscrub.com#website\",\"name\":\"Contact Center Compliance, a Sonera company\",\"url\":\"https://docs.dncscrub.com\",\"publisher\":{\"@id\":\"https://docs.dncscrub.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get#webpage\",\"url\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get\",\"name\":\"Litigator Scrub Single Number\",\"description\":\"Check phone numbers against the litigator database using GET request\",\"dateModified\":\"2026-01-23T19:09:15.736Z\",\"isPartOf\":{\"@id\":\"https://docs.dncscrub.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Litigator-Only Scrub\",\"item\":\"https://docs.dncscrub.com/api-reference/litigator/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Litigator Scrub Single Number\",\"item\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get#apireference\",\"headline\":\"Litigator Scrub Single Number\",\"name\":\"Litigator Scrub Single Number\",\"description\":\"Check phone numbers against the litigator database using GET request\",\"url\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.dncscrub.com/api-reference/litigator/scrub-get#webpage\"},\"dateModified\":\"2026-01-23T19:09:15.736Z\",\"publisher\":{\"@id\":\"https://docs.dncscrub.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.dncscrub.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Contact Center Compliance, a Sonera company\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Contact Center Compliance, a Sonera company\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/litigator/scrub-get.md","siteName":"Contact Center Compliance, a Sonera company","nav":{"global":null,"tabs":[{"tab":"Welcome","icon":"home","pages":[{"title":"Welcome","href":"/introduction"}]},{"tab":"API","icon":"book","groups":[{"group":"Getting Started","pages":[{"title":"API Overview","sidebarTitle":"Overview","href":"/api-reference/overview"},{"title":"API Authentication","href":"/api-reference/authentication"},{"title":"API Concepts","sidebarTitle":"Concepts","href":"/api-reference/api-concepts"},{"title":"Rate Limits","sidebarTitle":"Rate Limits and Best Practices","href":"/api-reference/other/rate-limits"}]},{"group":"Full Scrub","pages":[{"title":"Full Scrub API Overview","href":"/api-reference/scrub/overview"},{"title":"Scrub Single Number","sidebarTitle":"Single Number","api":"GET https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/scrub-single"},{"title":"Scrub Multiple Numbers","api":"POST https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/scrub-multiple"},{"title":"Scrub + Add EBR","sidebarTitle":"Scrub + Add EBR","api":"POST https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/scrub-ebr"},{"title":"Compliance for AI Voice Agents","sidebarTitle":"AI Voice Agents","href":"/api-reference/scrub/ai-voice-agents"},{"title":"Scrub with Unique Identifiers","sidebarTitle":"Unique Identifiers","api":"GET https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/unique-identifier"},{"title":"Internal DNC List","api":"GET https://www.dncscrub.com/app/main/rpc/pdnc","href":"/api-reference/scrub/internal-dnc"},{"title":"EBR and Consent Master","sidebarTitle":"EBR and Consent","api":"POST https://www.dncscrub.com/app/main/rpc/ebr","href":"/api-reference/scrub/ebr-list"},{"title":"Handling Opt-Outs and Opt-Ins","sidebarTitle":"Opt-Outs \u0026 Opt-Ins","href":"/api-reference/scrub/opt-outs-and-opt-ins"},{"title":"Output Guide","href":"/api-reference/scrub/output-guide"}]},{"group":"Litigator-Only Scrub","pages":[{"title":"Litigator API","description":"High-performance API for checking phone numbers against the litigator list","href":"/api-reference/litigator/overview"},{"title":"Litigator Scrub Single Number","sidebarTitle":"Litigator Scrub Single Number","api":"GET https://dataapi.dncscrub.com/v1.5/Scrub/litigator","href":"/api-reference/litigator/scrub-get"},{"title":"Litigator Scrub Multiple Numbers","description":"Check phone numbers against the litigator database using POST request","sidebarTitle":"Litigator Scrub Multiple Numbers","api":"POST https://dataapi.dncscrub.com/v1.5/Scrub/litigator","href":"/api-reference/litigator/scrub-post"}]},{"group":"Reassigned Scrub","pages":[{"title":"Reassigned Scrub","sidebarTitle":"Reassigned Scrub","href":"/api-reference/reassigned/overview"},{"title":"RND Basic API","href":"/api-reference/reassigned/rnd-basic"},{"title":"RND Basic (GET)","api":"GET https://dataapi.dncscrub.com/v1.5/Data/RNDBasic","href":"/api-reference/reassigned/rnd-basic-get"},{"title":"RND Basic (POST)","api":"POST https://dataapi.dncscrub.com/v1.5/Data/RNDBasic","href":"/api-reference/reassigned/rnd-basic-post"},{"title":"Reassigned Authority Plus API","href":"/api-reference/reassigned/authority-plus"},{"title":"Reassigned Authority Plus (GET)","api":"GET https://dataapi.dncscrub.com/v1.5/Data/EnhancedRND","href":"/api-reference/reassigned/enhanced-rnd-get"},{"title":"Reassigned Authority Plus (POST)","api":"POST https://dataapi.dncscrub.com/v1.5/Data/EnhancedRND","href":"/api-reference/reassigned/enhanced-rnd-post"},{"title":"Reassigned Authority API","href":"/api-reference/reassigned/authority"},{"title":"Reassigned Authority (GET)","api":"GET https://dataapi.dncscrub.com/v1.5/Data/TCPAAuthority","href":"/api-reference/reassigned/authority-get"},{"title":"Reassigned Authority (POST)","api":"POST https://dataapi.dncscrub.com/v1.5/Data/TCPAAuthority","href":"/api-reference/reassigned/authority-post"},{"title":"File Formats","href":"/api-reference/reassigned/file-formats"},{"title":"Test Numbers","href":"/api-reference/reassigned/test-numbers"}]},{"group":"Call Deliverability (TrustCall)","pages":[{"title":"TrustCall Overview","href":"/api-reference/trustcall/overview"},{"title":"TrustCall Premier (Monitor) API","href":"/api-reference/trustcall/premier"},{"title":"Add Phone Numbers","api":"POST https://dataapi.dncscrub.com/v1.5/TrustCall/Add","href":"/api-reference/trustcall/add"},{"title":"Remove Phone Numbers","api":"POST https://dataapi.dncscrub.com/v1.5/TrustCall/Remove","href":"/api-reference/trustcall/remove"},{"title":"Get Spam Scores","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/Get","href":"/api-reference/trustcall/get"},{"title":"Get All Spam Scores","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/GetAll","href":"/api-reference/trustcall/get-all"},{"title":"Get All Legal Entities","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/GetAllLegalEntities","href":"/api-reference/trustcall/get-all-legal-entities"},{"title":"Create Legal Entity","api":"POST https://dataapi.dncscrub.com/v1.5/legalentity/Create","href":"/api-reference/trustcall/legal-entity-create"},{"title":"Update Legal Entity","api":"PUT https://dataapi.dncscrub.com/v1.5/legalentity/Update","href":"/api-reference/trustcall/legal-entity-update"},{"title":"One-Time Scan API","href":"/api-reference/trustcall/one-time-scan"},{"title":"Submit One-Time Scan","api":"POST https://dataapi.dncscrub.com/v1.5/TrustCall/OneTimeScan","href":"/api-reference/trustcall/one-time-scan-submit"},{"title":"One-Time Scan Status","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/OneTimeScan","href":"/api-reference/trustcall/one-time-scan-status"},{"title":"Flags Removed Summary","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/FlagsRemovedSummary","href":"/api-reference/trustcall/flags-removed-summary"}]},{"group":"Data Enhancement","pages":[{"title":"Data APIs Overview","href":"/api-reference/data/overview"},{"title":"Reverse Phone ID Append","api":"GET https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend","href":"/api-reference/data/reverse-phone-id-append"},{"title":"Business Verify ID","api":"GET https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness","href":"/api-reference/data/res-or-business"},{"title":"Right Party ID","api":"GET https://dataapi.dncscrub.com/v1.4/Data/Verification","href":"/api-reference/data/verification"},{"title":"Wireless ID Premium","api":"GET https://dataapi.dncscrub.com/v1.4/Data/IDPremium","href":"/api-reference/data/id-premium"},{"title":"Real-Time Disconnect","api":"GET https://dataapi.dncscrub.com/v1.4/Data/RealTimeDisconnect","href":"/api-reference/data/real-time-disconnect"},{"title":"Usage Statistics","api":"GET https://dataapi.dncscrub.com/v1.4/Data/Usage","href":"/api-reference/data/usage"}]},{"group":"GeoScrub","pages":[{"title":"GeoScrub Overview","href":"/api-reference/geoscrub/overview"},{"title":"Get Timezone Info","openapi":"POST /v1.5/GeoScrub/GetTimeZoneInfo","href":"/api-reference/geoscrub/timezone-info"},{"title":"Legal Call Times for Date","openapi":"POST /v1.5/GeoScrub/LegalCallTimesForDate","href":"/api-reference/geoscrub/legal-call-times"},{"title":"Is Time Legal to Call","openapi":"POST /v1.5/GeoScrub/IsTimeLegalToCall","href":"/api-reference/geoscrub/is-time-legal"}]},{"group":"Other APIs","pages":[{"title":"Get OAuth Token","openapi":"POST /v1.5/OAuth/token","href":"/api-reference/other/oauth-token"},{"title":"Validate Authentication","openapi":"GET /v1.5/Auth/Validate","href":"/api-reference/other/auth-validate"},{"title":"Compliance Guide API","href":"/api-reference/other/compliance-guide"},{"title":"State Restricted Holidays","openapi":"GET /v1.5/ComplianceGuide/StateRestrictedHolidays","href":"/api-reference/other/state-holidays"},{"title":"State Emergencies","openapi":"GET /v1.5/ComplianceGuide/StateEmergenciesRestricted","href":"/api-reference/other/state-emergencies"},{"title":"Global Connect API","href":"/api-reference/other/global-connect"},{"title":"Global Connect Query","openapi":"GET /v1.5/gc/Query","href":"/api-reference/other/global-connect-query"},{"title":"Create or Update Project (v1.5)","api":"PUT https://dataapi.dncscrub.com/v1.5/projects/{projectCode}","href":"/api-reference/other/projects-upsert"},{"title":"Get Project (v1.5)","api":"GET https://dataapi.dncscrub.com/v1.5/projects/{projectCode}","href":"/api-reference/other/projects-get"},{"title":"List Projects (v1.5)","api":"GET https://dataapi.dncscrub.com/v1.5/projects","href":"/api-reference/other/projects-list"},{"title":"Louisiana and Oklahoma Registration","href":"/api-reference/other/state-registrations"},{"title":"Create or Update Project","api":"POST https://www.dncscrub.com/app/main/rpc/project","href":"/api-reference/other/project-create"}]},{"group":"Code Examples","pages":[{"title":"C# Examples","href":"/examples/csharp"},{"title":"JavaScript Examples","href":"/examples/javascript"}]}]},{"tab":"Integrations","icon":"plug","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"MCP Server for AI Applications","icon":"browser","pages":[{"title":"MCP Server for AI Applications","href":"/mcp/applications/overview"}]},{"tab":"MCP Server for Developers","icon":"terminal","pages":[{"title":"MCP Server for Developers","href":"/mcp/developers/overview"}]}]},"basePath":"","title":"Litigator Scrub Single Number - Contact Center Compliance, a Sonera company","deploymentId":"dpl_Em2U4NQQ2N2DE3HPbPUJVZLnAtvc","buildId":"dpl_Em2U4NQQ2N2DE3HPbPUJVZLnAtvc","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-_HcdDqS2.js","snippetPresets-CXnm-WO6.js","utils-Dg59J__o.js","style-to-object-BY3JEAdk.js","utils-D8TRpdk7.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-B6QaxWc5.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DeMZ-lcM.js","_Uint8Array-BjA2mcVW.js","isObject-FP1Yky1u.js","ApiExamples-cjPyMv63.js","usePlaygroundInputsStore-D7BWoaw4.js","shallow-Z1ceDNSG.js","isEqual-BObTuQrO.js","CodeSnippets-D1UZ1AE-.js","CodeSnippet-B373COAT.js","getApiPlaygroundDisplay-CfL-UuDS.js","Page-DuqezyvM.js","DynamicMarkdown-5yMTCLas.js","SectionHeading-BxT1HYfP.js","icon-DYJTTD3g.js","MethodPill-4AyycJeu.js","getPastedJson-Bp3WV6cN.js","Check2Icon-PhZu6Gry.js","axios-CsQoIw0U.js"]}